Subject: Re: [bug#46237] [PATCH] Add new jplephem
From: Nicolas Goaziou <[email-masked]>
To: Sharlatan Hellseher <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Feb 2021 10:24:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Sharlatan Hellseher <[email-masked]> writes:

> Is it better to put Python packages to python-science or it's ok to
> keep them in astronomy?

I think "astronomy.scm" is fine.

> Subject: [PATCH] gnu: Add jplephem
>
> * gnu/packages/astronomy.scm (python-jplephem): New variable

Applied. Thank you!

> +;;; Python based packages completely related to Astronomy

I removed this comment since I think it might add burden to packagers.
IMO, alphabetical or random (!) sorting are fine, but sub-categories in
a module is a bit too much for package definitions.

> +    (description
> +     "Use a JPL ephemeris to predict planet positions.")

I expounded the description a bit, following README from repository.

Regards,
-- 
Nicolas Goaziou